package com.baidu.bce.vod.json.demo.model;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.ToString;


import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * Created by yuchenbei@baidu.com on 2017/5/2.
 */
@Data
@ToString
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class Media {

    private String mediaId;

    @NotNull
    private String status;

    @Valid
    private MediaAttributes attributes = new MediaAttributes();

    @Valid
    private MediaMeta meta = new MediaMeta();

    private Date publishTime;

    private Date createTime;

    private ErrorInfo error = new ErrorInfo();

    private List<PlayableUrl> playableUrlList;

    private List<String> thumbnailList;

    private String transcodingPresetGroupName;

}
