package com.baidu.bce.vod.json.demo.model;

import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;


/**
 * Created by yuchenbei@baidu.com on 2017/5/2.
 */
@Data
public class MediaAttributes {
    @NotNull
    @Size(max = 256)
    private String title;

    @Size(max = 1024)
    private String description = "";

    @Pattern(regexp = "[0-9a-zA-Z]{0,10}")
    private String sourceExtension = "";
}
