package com.baidu.bce.vod.json.demo;

import com.baidu.bce.vod.json.demo.model.Media;
import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;

import java.io.IOException;

/**
 * Created by yuchenbei@baidu.com on 2017/5/3.
 */
public class demo {
    public static void main(String[] args) throws IOException {
        String jsonStr = "{\"mediaId\":\"mda-hd3uxems8attk63q\",\"status\":\"PUBLISHED\",\"attributes\":{\"title\":\"test\",\"description\":\"test\",\"sourceExtension\":\"\"},\"meta\":{\"sourceSizeInBytes\":6408195,\"durationInSeconds\":25,\"sizeInBytes\":18714821},\"publishTime\":\"2017-05-01T08:53:28Z\",\"createTime\":\"2017-04-28T10:32:18Z\",\"playableUrlList\":[{\"transcodingPresetName\":\"preset_2\",\"url\":\"http://gfcc06f8a8z5jijw5jz.vod.e-web.com.cn/mda-hd3uxems8attk63q/mda-hd3uxems8attk63q.mp4\",\"meta\":{\"sizeInBytes\":6153216,\"durationInSeconds\":25,\"bitRateInBps\":1968128,\"frameRate\":30.0,\"widthInPixel\":1920,\"heightInPixel\":1080}},{\"url\":\"http://gfcc06f8a8z5jijw5jz.vod.e-web.com.cn/mda-hd3uxems8attk63q/preset1/mda-hd3uxems8attk63q.mp4\",\"meta\":{\"sizeInBytes\":6153216,\"durationInSeconds\":25,\"bitRateInBps\":1968128,\"frameRate\":30.0,\"widthInPixel\":1920,\"heightInPixel\":1080}}],\"thumbnailList\":[\"http://gfcc06f8a8z5jijw5jz.vod.e-web.com.cn/mda-hd3uxems8attk63q/mda-hd3uxems8attk63q00004.jpg\",\"http://gfcc06f8a8z5jijw5jz.vod.e-web.com.cn/mda-hd3uxems8attk63q/mda-hd3uxems8attk63q00005.jpg\",\"http://gfcc06f8a8z5jijw5jz.vod.e-web.com.cn/mda-hd3uxems8attk63q/mda-hd3uxems8attk63q00006.jpg\",\"http://gfcc06f8a8z5jijw5jz.vod.e-web.com.cn/mda-hd3uxems8attk63q/mda-hd3uxems8attk63q00007.jpg\",\"http://gfcc06f8a8z5jijw5jz.vod.e-web.com.cn/mda-hd3uxems8attk63q/mda-hd3uxems8attk63q00008.jpg\",\"http://gfcc06f8a8z5jijw5jz.vod.e-web.com.cn/mda-hd3uxems8attk63q/mda-hd3uxems8attk63q00009.jpg\",\"http://gfcc06f8a8z5jijw5jz.vod.e-web.com.cn/mda-hd3uxems8attk63q/mda-hd3uxems8attk63q00010.jpg\",\"http://gfcc06f8a8z5jijw5jz.vod.e-web.com.cn/mda-hd3uxems8attk63q/mda-hd3uxems8attk63q00011.jpg\",\"http://gfcc06f8a8z5jijw5jz.vod.e-web.com.cn/mda-hd3uxems8attk63q/mda-hd3uxems8attk63q00012.jpg\",\"http://gfcc06f8a8z5jijw5jz.vod.e-web.com.cn/mda-hd3uxems8attk63q/mda-hd3uxems8attk63q00013.jpg\",\"http://gfcc06f8a8z5jijw5jz.vod.e-web.com.cn/mda-hd3uxems8attk63q/mda-hd3uxems8attk63q00014.jpg\"],\"transcodingPresetGroupName\":\"vodrd\"}";

        Media media = null;
        ObjectMapper objectMapper = new ObjectMapper();

        // 在解析json字符串前,加上这句话,防止发生因字段发生变化引起的程序宕机
        objectMapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);

        media = objectMapper.readValue(jsonStr, Media.class);

        System.out.println(media.toString());

    }

}
